Apple Webkit ContentEditable moveParagraphs Uninitialized Element Remote Code Execution Vulnerability

2010-06-08T00:00:00
ID ZDI-10-097
Type zdi
Reporter wushi of team509
Modified 2010-06-22T00:00:00

Description

This vulnerability allows remote attackers to execute arbitrary code on vulnerable installations of Apple's Webkit. User interaction is required in that a user must be coerced into visiting a malicious website. The specific flaw exists within the way Webkit inserts an element into an editable container. Immediately before the actual insertion the library will manipulate the contents of the field in order to insert the new node. Upon traversal of the tree by the library, the application will attempt to access an uninitialized element that was created prior to the insertion. Successful exploitation can lead to code execution under the context of the application.